Groovy 1.7.0

## groovy.swing.binding
Class JTableElementsBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JTableElementsBinding

All Implemented Interfaces:
  TableModelListener

    class JTableElementsBinding
    extends AbstractSyntheticBinding

Field Summary
`JTable` | `boundTable`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`JTableElementsBinding(PropertyBinding propertyBinding, TargetBinding target)`

Method Summary
`void` | `propertyChange(PropertyChangeEvent event)`
`protected void` | `syntheticBind()`
`protected void` | `syntheticUnbind()`
`void` | `tableChanged(TableModelEvent e)`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### boundTable

    JTable boundTable

Constructor Detail

### JTableElementsBinding

    public JTableElementsBinding(PropertyBinding propertyBinding, TargetBinding target)

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### syntheticBind

    protected void syntheticBind()

### syntheticUnbind

    protected void syntheticUnbind()

### tableChanged

    public void tableChanged(TableModelEvent e)

Copyright © 2003-2009 The Codehaus. All rights reserved.